org.icefaces.ace.model

## Class DefaultMenuModel

- java.lang.Object
- - org.icefaces.ace.model.DefaultMenuModel

- All Implemented Interfaces:
    java.io.Serializable, MenuModel

      public class DefaultMenuModel
      extends java.lang.Object
      implements MenuModel, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMenuModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMenu(javax.faces.component.UIComponent menu)`
    `void` | `addMenuItem(javax.faces.component.UIComponent menuItem)`
    `void` | `addSubmenu(javax.faces.component.UIComponent submenu)`
    `java.util.List<javax.faces.component.UIComponent>` | `getMenuItems()`
    `java.util.List<javax.faces.component.UIComponent>` | `getMenus()`
    `java.util.List<javax.faces.component.UIComponent>` | `getSubmenus()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMenuModel

          public DefaultMenuModel()

  - ### Method Detail

    - #### getSubmenus

          public java.util.List<javax.faces.component.UIComponent> getSubmenus()

      Specified by:
        `getSubmenus` in interface `MenuModel`

    - #### addSubmenu

          public void addSubmenu(javax.faces.component.UIComponent submenu)

      Specified by:
        `addSubmenu` in interface `MenuModel`

    - #### addMenuItem

          public void addMenuItem(javax.faces.component.UIComponent menuItem)

      Specified by:
        `addMenuItem` in interface `MenuModel`

    - #### getMenuItems

          public java.util.List<javax.faces.component.UIComponent> getMenuItems()

      Specified by:
        `getMenuItems` in interface `MenuModel`

    - #### addMenu

          public void addMenu(javax.faces.component.UIComponent menu)

      Specified by:
        `addMenu` in interface `MenuModel`

    - #### getMenus

          public java.util.List<javax.faces.component.UIComponent> getMenus()

      Specified by:
        `getMenus` in interface `MenuModel`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.